%define name perl-libintl-perl
%define realname libintl-perl
%define version 1.11
%define release 3mdk

Summary:	A localization library for Perl.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
BuildRequires:	db2-devel
BuildRequires:	libgdbm-devel
BuildRequires:	perl-devel
BuildRequires:	gettext-devel
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
libintl-perl is a library that supports message translation for
Perl, written in pure Perl (version 5.004 or better). A faster C
version is also built and installed if the system fulfills all
requirements. Its interface is very similar to the gettext family
of functions in C, and it uses the same file formats as GNU
gettext, making it possible to use all tools available for gettext
itself and to seamlessly integrate internationalized Perl code
into mixed-language projects. An alternative library with a
similar purpose is available as Locale::MakeText. 

%prep

%setup -q -n %{realname}-%{version}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# make test currently fails at ./tests/03language_xs
#make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog MANIFEST NEWS README THANKS TODO
%{perl_vendorlib}/Locale/gettext_pp.pm
%{perl_vendorlib}/Locale/gettext_xs.pm
%{perl_vendorlib}/Locale/gettext_xs.pod
%{perl_vendorlib}/Locale/RecodeData.pm
%{perl_vendorlib}/Locale/TextDomain.pm
%{perl_vendorlib}/Locale/Messages.pm
%{perl_vendorlib}/Locale/Recode.pm
%{perl_vendorlib}/Locale/Recode
%{perl_vendorlib}/Locale/RecodeData
%{perl_vendorlib}/*/auto/Locale/gettext_xs/gettext_xs.so
%{_mandir}/*/*

%changelog
* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.11-3mdk
- rebuild for new perl

* Wed Jul 21 2004 Stefan van der Eijk <stefan@mandrake.org> 1.11-2mdk
- BuildRequires

* Sun Jun 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11-1mdk
- 1.11
- fix deps

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.10-2mdk
- rebuilt against new deps and with gcc v3.4.x
- fix deps

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.10-1mdk
- initial package
